Function
erase
Removes a value from a map.
erase(map, key)
erase(map, iterator)
Include Headers
seqan/map.h
Parameters

map | A map. Types: Map
key | The key of a value in map. Metafunctions: Key
iterator | An iterator to a value in map. Metafunctions: Iterator

Remarks
Removes the first value in map of the given key, if there is any.
Use eraseAll to remove all values of the given key in a multi map.
See Also
insert, add, eraseAll
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48